<?php

namespace App\Models;

class Client extends Eloquent {

	protected $table = 'clients';
	public $timestamps = true;
	protected $fillable = array('phone', 'email', 'blood_type_id', 'password', 'name', 'd_o_b', 'city_id', 'last_donation_date', 'pin_code');

	public function bloodType()
	{
		return $this->belongsTo('App\Models\BloodType');
	}

	public function city()
	{
		return $this->belongsTo('\City');
	}

	public function notifications()
	{
		return $this->belongsToMany('App\Models\ClientNotification');
	}

	public function bloodType()
	{
		return $this->hasMany('App\Models\BloodType');
	}

	public function governorates()
	{
		return $this->belongsToMany('App\Models\Governorate');
	}

}